# $Revision: 1.8 $, $Date: 2006/11/20 22:38:32 $
Summary:	CUTE User-friendly Text Editor
Summary(pl):	CUTE - przyjazny dla uytkownika edytor tekstu
Name:		cute
Version:	0.2.9
Release:	3
License:	GPL
Group:		X11/Development/Tools
Source0:	http://dl.sourceforge.net/cute/%{name}-%{version}.tar.gz
# Source0-md5:	08da2882c51f2199ac0812a3500ddec6
URL:		http://cute.sourceforge.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6.1
BuildRequires:	python-devel
BuildRequires:	qscintilla-devel
BuildRequires:	sed >= 4.0
BuildRequires:	qmake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CUTE is a Qt and Scintilla based text editor which can be easily
extended using Python. Its main purpose is to be an user-friendly
source code editor with a common graphical user interface. The editor
supports syntax highlighting for many languages, tags files and
projects.

%description -l pl
CUTE to oparty na Qt i Scintilli edytor tekstu, ktry mona atwo
rozszerza przy uyciu Pythona. Gwnym jego celem jest bycie
przyjaznym dla uytkownika edytorem kodu rdowego ze wsplnym
graficznym interfejsem uytkownika. Edytor obsuguje podwietlanie
skadni dla wielu jzykw, pliki znacznikw oraz projekty.

%prep
%setup -q

%build
export QTDIR=%{_prefix}
export QMAKESPEC="%{_datadir}/qt/mkspecs/linux-g++/"
rm -rf qscintilla
cd cute
sed -i -e 's#^PYTHON_INCLUDE_DIR.*=.*#PYTHON_INCLUDE_DIR = %{py_incdir}#g' cute.pro
sed -i -e 's#^PYTHON_LIB_DIR.*=.*#PYTHON_LIB_DIR = %{py_libdir}#g' cute.pro
sed -i -e 's#^QEXTSCINTILLADIR.*=.*#QEXTSCINTILLADIR = %{_includedir}#g' cute.pro
sed -i -e 's#-lpython2.2#-lpython#g' cute.pro
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_datadir}/%{name}/{langs,lib/scripts}}

cd cute
install ../bin/cute $RPM_BUILD_ROOT%{_bindir}
install langs/*.* $RPM_BUILD_ROOT%{_datadir}/%{name}/langs
install scripts/*.* $RPM_BUILD_ROOT%{_datadir}/%{name}/lib/scripts
install icons/cute.xpm $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc cute/doc/doc cute/cute-api
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_pixmapsdir}/*.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cute.spec,v $
Revision 1.8  2006/11/20 22:38:32  hawk
- release 3

Revision 1.7  2004/12/24 21:51:33  arekm
- rel 2

Revision 1.6  2004/11/09 13:04:45  jasw
- ver. 0.2.9

Revision 1.5  2004/10/18 16:40:40  ankry
- rel. 3

Revision 1.4  2004/10/17 08:37:34  ankry
- rel. 2

Revision 1.3  2004/08/30 18:07:24  snurf
- typo / formatting / etc.

Revision 1.2  2004/05/30 21:58:57  qboosh
- pl, BR sed 4.0

Revision 1.1  2004/05/30 21:45:11  arekm
- initial pld release
